CVE-2022-1011

high

Description

A use-after-free flaw was found in the Linux kernel’s FUSE filesystem in the way a user triggers write(). This flaw allows a local user to gain unauthorized access to data from the FUSE filesystem, resulting in privilege escalation.

References

https://git.kernel.org/pub/scm/linux/kernel/git/mszeredi/fuse.git/commit/?h=for-next

https://bugzilla.redhat.com/show_bug.cgi?id=2064855

https://lists.debian.org/debian-lts-announce/2022/07/msg00000.html

https://www.debian.org/security/2022/dsa-5173

https://www.oracle.com/security-alerts/cpujul2022.html

Details

Source: MITRE

Published: 2022-03-18

Updated: 2022-07-25

Type: CWE-416

Risk Information

CVSS v2

Base Score: 4.6

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 3.9

Severity: MEDIUM

CVSS v3

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH